For the complete documentation index, see llms.txt. This page is also available as Markdown.

Modify a NAT Gateway Rule by ID

Modify the specified NAT Gateway rule.

put
Authorizations
AuthorizationstringRequired

You will need to base64 encode the string containing your credentials.

Note:

  • Basic Authentication is supported only when 2-Factor Authentication is not configured.
  • Users with 2-Factor Authentication activated must generate new 2FA-secured tokens in the DCD using [Token Manager](https://docs.ionos.com/cloud/set-up-ionos-cloud/management/identity-access-management/token-manager). These tokens do not inherit the 2FA-secured property by default.
  • Token deletion is only possible using the Token Manager.
Separate your username and password with a colon, i.e., username:password and send it as 'Authorization' request header. More details: https://en.wikipedia.org/wiki/Basic_access_authentication
Path parameters
datacenterIdstringRequired

The unique ID of the data center.

natGatewayIdstringRequired

The unique ID of the NAT Gateway.

natGatewayRuleIdstringRequired

The unique ID of the NAT Gateway rule.

Query parameters
prettybooleanOptional

Controls whether the response is pretty-printed (with indentations and new lines).

Default: true
depthinteger · int32 · max: 10Optional

Controls the detail depth of the response objects. GET /datacenters/[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on

Default: 0
Header parameters
X-Contract-Numberinteger · int32Optional

Users with multiple contracts must provide the contract number, for which all API requests are to be executed.

Body
idstringRead-onlyOptional

The resource's unique identifier.

Example: 15f67991-0f51-4efc-a8ad-ef1fb31a480c
typestring · enumOptionalPossible values:
hrefstring · uriRead-onlyOptional

URL to the object representation (absolute path).

Example: <RESOURCE-URI>
Responses
default

Any erroneous status code: 400 (parse error), 401 (auth error), 402 (trial access), 403 (insufficient privileges), 404 (not found), 405 (unsupported HTTP method), 415 (unsupported content type, 422 (validation error), 429 (request rate limit exceeded), 500 (server error), or 503 (maintenance).

application/json
httpStatusinteger · int32Read-onlyOptional

HTTP status code of the operation.

Example: 400
put/datacenters/{datacenterId}/natgateways/{natGatewayId}/rules/{natGatewayRuleId}
PUT /cloudapi/v6/datacenters/{datacenterId}/natgateways/{natGatewayId}/rules/{natGatewayRuleId} HTTP/1.1
Host: api.ionos.com
Authorization: Basic username:password
Content-Type: application/json
Accept: */*
Content-Length: 230

{
  "type": "natgateway-rule",
  "properties": {
    "name": "My NAT Gateway rule",
    "type": "SNAT",
    "protocol": "TCP",
    "sourceSubnet": "10.0.1.0/24",
    "publicIp": "192.18.7.17",
    "targetSubnet": "10.0.1.0/24",
    "targetPortRange": {
      "start": 10000,
      "end": 20000
    }
  }
}
{
  "httpStatus": 400,
  "messages": [
    {
      "errorCode": "123",
      "message": "Error message example."
    }
  ]
}

Last updated

Was this helpful?